import type { NobjcObject } from "objc-js";
import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSDictionary } from "../Foundation/NSDictionary.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _MTRChannelClusterChannelPagingStruct } from "./MTRChannelClusterChannelPagingStruct.js";
export declare class _MTRChannelClusterProgramGuideResponseParams extends _NSObject {
    static alloc(): _MTRChannelClusterProgramGuideResponseParams;
    static new(): _MTRChannelClusterProgramGuideResponseParams;
    init(): _MTRChannelClusterProgramGuideResponseParams;
    /**
     * Initialize an MTRChannelClusterProgramGuideResponseParams with a response-value dictionary of the sort that MTRDeviceResponseHandler would receive. Will return nil and hand out an error if the response-value dictionary is not a command data response or is not the right command response. Will return nil and hand out an error if the data response does not match the known schema for this command.
     */
    initWithResponseValue$error$(responseValue: _NSDictionary, error: NobjcObject | null): _MTRChannelClusterProgramGuideResponseParams | null;
    paging(): _MTRChannelClusterChannelPagingStruct;
    setPaging$(value: _MTRChannelClusterChannelPagingStruct): void;
    programList(): _NSArray;
    setProgramList$(value: _NSArray): void;
}
export interface _MTRChannelClusterProgramGuideResponseParams extends _NSCopying {
}
